Skip to main content
`Ctrl`+`K`

# KSPPIPEFCGSetNprealloc

set the number of directions to preallocate with `KSPPIPEFCG`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGSetNprealloc(KSP ksp, PetscInt nprealloc)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- nprealloc - the number of vectors to preallocate

## Options Database Key

- -ksp_pipefcg_nprealloc N - the number of vectors to preallocate

## See Also

KSP: Linear System Solvers, `KSPPIPEFCG`, `KSPPIPEFCGSetTruncationType()`, `KSPPIPEFCGGetNprealloc()`, `KSPPIPEFCGSetMmax()`, `KSPPIPEFCGGetMmax()`

## Level

advanced

## Location

src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages